Bug 44559 - Modify UCS-Dovecot dependencies to allow using Dovecot Pro
Modify UCS-Dovecot dependencies to allow using Dovecot Pro
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail - Dovecot
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Daniel Tröder
Erik Damrose
:
Depends on:
Blocks: 44567
  Show dependency treegraph
 
Reported: 2017-05-09 10:33 CEST by Daniel Tröder
Modified: 2017-05-31 16:19 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.143
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
univention-mail-dovecot_3.0.1-1A~4.2.0.201705091502_all.deb (54.54 KB, application/vnd.debian.binary-package)
2017-05-10 06:42 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2017-05-09 10:33:46 CEST
Modify the package dependencies of univention-mail-dovecot to allow to use Dovecot Pro with the mailserver app.
Comment 1 Daniel Tröder univentionstaff 2017-05-09 15:14:09 CEST
79246: allow to install Dovecot Pro
79247: advisory

Package: univention-mail-dovecot
Version: 3.0.1-1A~4.2.0.201705091502
Branch: ucs_4.2-0
Scope: errata4.2-0

The package dovecot-ee-core depends on libstemmer0d, so you'll have to allow unmaintained packages.

If the univention-mail-server (the mailserver app) is already installed, and Debians Dovecot packages should be replaced without prior deinstallation of univention-mail-server (an ox etc), all installed Dovecot packages must be listed in the following command:

# apt-get install dovecot-ee-core dovecot-ee-imapd dovecot-ee-ldap dovecot-ee-lmtpd dovecot-ee-managesieved dovecot-ee-pop3d dovecot-ee-sieve

Append other package names to the above command, if they are installed (for examaple dovecot-ee-solr):
# dpkg-query -W -f='${db:Status-Abbrev} ${binary:Package}\n' 'dovecot-*' | egrep ^i

If dovecot is already installed, an error happens during the apt-get install run:
==============================================================
Vorbereitung zum Entpacken von .../dovecot-ee-lmtpd_2%3a2.2.29.1-5_amd64.deb ...
Entpacken von dovecot-ee-lmtpd (2:2.2.29.1-5) ...
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/dovecot-ee-lmtpd_2%3a2.2.29.1-5_amd64.deb (--unpack):
 Versuch, »/usr/share/dovecot/conf.d/20-lmtp.conf« zu überschreiben, welches auch in Paket dovecot-lmtpd 1:2.2.13-12~deb8u1 ist
==============================================================

The only way to not first uninstall univention-mail-server (and possibly ox app) and to manually remove dovecot-lmtpd is to allow dpkg to overwrite the file:

# dpkg -i --force-overwrite /var/cache/apt/archives/dovecot-ee-lmtpd_*.deb

Then continue the installation:

# apt-get -f install

In my case dovecot wasn't running then. It could not be started, because the service was "masked". To enable it I ran:

# systemctl unmask dovecot.service
# systemctl unmask dovecot.socket
# systemctl start dovecot.service

ucs-tests look promising.
Comment 2 Stefan Gohmann univentionstaff 2017-05-10 06:42:46 CEST
Created attachment 8832 [details]
univention-mail-dovecot_3.0.1-1A~4.2.0.201705091502_all.deb
Comment 3 Erik Damrose univentionstaff 2017-05-29 16:11:17 CEST
OK: Dependency update in univention-mail-dovecot package
OK: Add dovecot-pro repo + 
univention-install dovecot-ee-lmtpd dovecot-ee-core dovecot-ee-imapd dovecot-ee-ldap dovecot-ee-managesieved dovecot-ee-pop3d dovecot-ee-sieve
OK: Yaml
Verified
Comment 4 Janek Walkenhorst univentionstaff 2017-05-31 16:19:38 CEST
<http://errata.software-univention.de/ucs/4.2/26.html>